Subject: Re: bug#29854: 25.3; Eshell buffer editing gets slower as colored output grows

From: Noam Postavsky <[email-masked]>
Date: Sat, 04 May 2019 15:49:19 -0400

tags 29854 fixed
close 29854 27.1
quit

Noam Postavsky <[email-masked]> writes:

> Pierre Neidhardt <[email-masked]> writes:
>
>>> The question is then whether there is some case where using overlays is
>>> necessary, or is it just a pessimization?  For reference, I took the
>>> text property using definition from man.el (so it at least works for
>>> that case):
>>
>> Any idea what the original intent was?
>> I can't seem to see why an overlay would be needed for Eshell's output.
>
> Hard to say.  It might just be a case of going with ansi-color.el's
> default.  ansi-color-apply-on-region was changed to use overlays in [1:
> 0e3c1e3ea6], but it's unclear why.  The commit message just says
>
>     (ansi-color-apply-on-region): Use extents or overlays instead of
>     text-properties.

I've changed to use text properties (but font-lock-face rather than
face) in master.  We'll see if it causes trouble.

4fd9048e94 2019-05-04T15:33:20-04:00 "Avoid slow overlay ansi coloring in eshell (Bug#29854)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=4fd9048e940d38364caf4abe9b209f9288c78544